Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - gmsh

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: gmsh 2.16.0-1

Git Clone URL: https://aur-dev.archlinux.org/gmsh.git (read-only)
Package Base: gmsh
Description: An automatic 3D finite element mesh generator with pre and post-processing facilities.
Upstream URL: http://www.geuz.org/gmsh/
Licenses: custom
Submitter: S1G1
Maintainer: gborzi
Last Packager: gborzi
Votes: 40
Popularity: 0.053374
First Submitted: 2006-04-04 23:31
Last Updated: 2017-01-03 21:17

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

gborzi commented on 2013-09-26 11:09

I'm able to open STEP files with gmsh without problem. You need to compile gmsh after opencascade.sh is sourced.

tomislavski commented on 2013-09-26 09:51

Gmsh is complaining for STEP, IGES and BREP import about opencascade support.

The /etc/profile.d/opencascade.sh is sourced:

echo $CASROOT
/opt/opencascade

Do I need to re-install gmsh? It's a fresh system installation, so I don't think that's the problem.

gborzi commented on 2013-08-08 14:28

@Gug
I'll do it ASAP.

gdolle commented on 2013-08-06 12:30

I'm making a new package which requiers GMSH to be build as shared library.
Could you add for the version 2.8.2 the cmake options -DENABLE_BUILD_SHARED=ON ?

taotedice commented on 2013-05-12 22:18

Thanks for following through on this. I'm not sure I understand your suggestion with regard to the checksum; is there a way to remove/bypass the check for the AUR package? In the interim I have acquired the source from the main site.

gborzi commented on 2013-05-12 21:55

They've changed the source for the third time. I suggest to put the md5sum of the source you've downloaded and compile. I'll wait a few days before changing the md5sum, with the hope they'll decide which version is the definitive one.

taotedice commented on 2013-05-12 20:57

Thanks for working on the package. I'm still getting a checksum error:

==> Validating source files with md5sums...
gmsh-2.7.1-source.tgz ... FAILED
gmsh.desktop ... Passed
gmsh.completion ... Passed

Any recommendations?

gborzi commented on 2013-05-12 20:30

@taotedice
The new 2.7.1 version included some modifications that made gmsh compile with opencascade 6.6.0, making my patch no longer applicable. Just remove it, like in the package I've just uploaded.

taotedice commented on 2013-05-12 12:07

Thanks for updating the checksum. Now I'm experiencing a new build error:

==> Starting build()...
patching file Geo/OCC_Connect.cpp
Reversed (or previously applied) patch detected! Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file Geo/OCC_Connect.cpp.rej
patching file Geo/OCCEdge.cpp
Hunk #1 FAILED at 23.
Hunk #2 FAILED at 327.
2 out of 2 hunks FAILED -- saving rejects to file Geo/OCCEdge.cpp.rej
patching file Geo/OCCFace.cpp
Hunk #1 FAILED at 26.
Hunk #2 FAILED at 420.
Hunk #3 FAILED at 483.
Hunk #4 FAILED at 495.
4 out of 4 hunks FAILED -- saving rejects to file Geo/OCCFace.cpp.rej

taotedice commented on 2013-05-11 21:30

Looks like gmsh needs an updated md5sum

==> Validating source files with md5sums...
gmsh-2.7.1-source.tgz ... FAILED
occ660.patch ... Passed
gmsh.desktop ... Passed
gmsh.completion ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build gmsh.